Package org.codehaus.groovy.control.messages

# Class ExceptionMessage

java.lang.Object
org.codehaus.groovy.control.messages.Message
org.codehaus.groovy.control.messages.ExceptionMessage

public class ExceptionMessage extends Message
A class for error messages produced by the parser system.

Author:
  Chris Poirier

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`verbose`

## Constructor Summary

Constructors
Constructor
Description
`ExceptionMessage(Exception cause, boolean v, ProcessingUnit owner)`

## Method Summary

Modifier and Type
Method
Description
`Exception`
`getCause()`
Returns the underlying Exception.
`void`
`write(PrintWriter output, Janitor janitor)`
Writes out a nicely formatted summary of the exception.

### Methods inherited from class org.codehaus.groovy.control.messages.Message

`create, create, create, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### verbose

protected boolean verbose

## Constructor Details

### ExceptionMessage

public ExceptionMessage(Exception cause, boolean v, ProcessingUnit owner)

## Method Details

### getCause

public Exception getCause()
Returns the underlying Exception.

### write

public void write(PrintWriter output, Janitor janitor)
Writes out a nicely formatted summary of the exception.

Specified by:
  `write` in class `Message`